CATMAN(8)

NAMN
catman - skapa eller uppdatera de förformaterade manualsidorna

SYNOPSIS
catman [-d?V] [-M sökväg] [-C fil] [avsnitt] ...

BESKRIVNING
catman används för att skapa en uppdaterad uppsättning av förformaterade manualsidor, också kända som cat-sidor. cat-sidor är generellt sett mycket snabbare att visa än de vanliga manualsidorna, men kräver extra lagringsutrymme. Beslutet att ha stöd för cat-sidor tas av den lokala administratören som måste tillhandahålla lämpliga kataloger som de kan ligga i.

Inställningarna som finns tillgängliga för catman är hierarkierna av manualsidor och avsnitt som ska förformateras. Standardhierarkierna är de som angetts som systemhierarkier i konfigurationsfilen för man-db, och standardavsnitten är antingen det kolonavgränsade innehållet i miljövariabeln $MANSECT eller standarduppsättningen som kompilerats in i man om $MANSECT är odefinierad. Om en uppsättning av blankstegsavgränsade avsnittsnamn anges till catman så åsidosätts de båda ovan.

catman använder index-databascachen som finns associerad med varje hierarki för att avgöra vilka filer som behöver formateras.

FLAGGOR

-d, --debug
    Skriver ut felsökningsinformation.

-M sökväg, --manpath=sökväg
    Ange en alternativ kolonavgränsad sökväg för hierarkier av manualsidor. Som standard är detta alla sökvägar som indikerats som systemhierarkier i konfigurationsfilen för man-db.

-C fil, --config-file=fil
    Använd denna användarkonfigurationsfil snarare än standard ~/.manpath.

-?, --help
    Skriv ut ett hjälpmeddelande och avsluta.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

MILJÖ

MANSECT
    Om $MANSECT är satt är dess värde en kolonavgränsad lista över avsnitt och den används för att bestämma vilka manualavsnitt som ska genomsökas och i vilken ordning. Standardvärdet är ”1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7” om det inte åsidosatts av direktivet SECTION i /etc/manpath.config.

MANPATH
    Om $MANPATH är satt kommer dess värde att tolkas som den kolonavgränsade sökvägen för hierarkier av manualsidor som ska användas.

    Se avsnittet för SÖKVÄG i manpath(5) för standardbeteende och detaljer om hur denna miljövariabel hanteras.

FILER

/etc/manpath.config
    man-db-konfigurationsfil.

/usr/man/index.(bt|db|dir|pag)
    En traditionell global index-databascache.

/var/catman/index.(bt|db|dir|pag)
    En alternativ eller FSSTND-kompatibel global index-databascache.

SE VIDARE
man(1), manpath(5), mandb(8)

UPPHOVSMAN
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

FEL
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db